Name:		Panini	
Version:	0.71.103
Release:	8%{?dist}
Summary:	A tool for creating perspective views from panoramic and wide angle images

Group:		Applications/Multimedia
License:	GPLv3+
URL:		http://sourceforge.net/projects/pvqt/
Source0:	http://downloads.sourceforge.net/pvqt/%{name}-%{version}-src.zip
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch1:		panini-qmake-link-FTBFS-patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	qt4-devel >= 4.4.2, desktop-file-utils

%description
Panini can load most common photo and panoramic formats from image files such
as those created with hugin or QuickTimeVR (QTVR .mov) files.  Like all pano
viewers, it then shows a linear perspective view that can be panned and zoomed.
But Panini can also display a range of wide angle perspectives via the
stereographic and "Pannini" vedutismo families of projections, and shift,
rotate, and stretch the image like a software view camera.

%prep
%setup -q -n %{name}-%{version}-src
%patch1 
qmake-qt4 panini.pro

for txt in *.txt ; do
	sed 's/\r//' $txt > $txt.new
	touch -r $txt $txt.new
	mv $txt.new $txt
done

%build
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 755 -p %{name} %{buildroot}%{_bindir}

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
install -p -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps

%clean
rm -rf %{buildroot}

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null ||:

%files
%defattr(-,root,root,-)
%doc panini-build.txt panini-usage.txt GPLversion3.txt panini-0.71-release.txt
%{_bindir}/%{name}
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/*

%changelog
* Sat Jul 28 2012 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.71.103-8
- Update FTBFS patch to include libGLU: rhbz#843252

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71.103-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71.103-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71.103-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb 14 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.71.103-4
- fix for FTBFS # 565127

* Fri Jul 24 2009 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.71.103-3
- used png for icon
* Thu Jul 23 2009 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.71.103-2
- Corrected License tag
- used icon from source
* Fri Jul 17 2009 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.71.103-1
- initial rpm build with new source with clearified License.
* Wed Jul 8 2009 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.71.102-1
- Initial RPM build
